Skip to navigation

Update Price List

Updates a Price List.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

Update a PriceList
namestringRequired
The unique name of the Price List. Required in a POST request.
activebooleanOptional

Whether or not this Price List and its prices are active. Defaults to true.

layerslist of objectsOptional

Controls the fallback price lists assigned to this price list. Behavior depends on the value provided:

  • Omitted: no change to existing layers.
  • Empty array ([]): removes all layers.
  • Array with items: replaces the current layers with the provided list.

Maximum five items.

Response

OK
dataobjectOptional
Common Price List properties.
metaobjectOptional
Response metadata.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error